icu::Char16Ptr Class Referencefinal

char16_t * wrapper with implicit conversion from distinct but bit-compatible pointer types. More...

`#include <char16ptr.h>`

## Public Member Functions

| Char16Ptr (char16_t *p)
| Copies the pointer. More...
| Char16Ptr (uint16_t *p)
| Converts the pointer to char16_t *. More...
| Char16Ptr (wchar_t *p)
| Converts the pointer to char16_t *. More...
| Char16Ptr (std::nullptr_t p)
| nullptr constructor. More...
| ~Char16Ptr ()
| Destructor. More...
char16_t * | get () const
| Pointer access. More...
| operator char16_t * () const
| char16_t pointer access via type conversion (e.g., static_cast). More...

## Detailed Description

char16_t * wrapper with implicit conversion from distinct but bit-compatible pointer types.

Stable:
  ICU 59

Definition at line 43 of file char16ptr.h.

## Constructor & Destructor Documentation

## Char16Ptr() [1/4]

icu::Char16Ptr::Char16Ptr | ( | char16_t * | p | ) |

inline

Copies the pointer.

Parameters

  p | pointer

Stable:
  ICU 59

## Char16Ptr() [2/4]

icu::Char16Ptr::Char16Ptr | ( | uint16_t * | p | ) |

inline

Converts the pointer to char16_t *.

Parameters

  p | pointer to be converted

Stable:
  ICU 59

## Char16Ptr() [3/4]

icu::Char16Ptr::Char16Ptr | ( | wchar_t * | p | ) |

inline

Converts the pointer to char16_t *.

(Only defined if U_SIZEOF_WCHAR_T==2.)

Parameters

  p | pointer to be converted

Stable:
  ICU 59

## Char16Ptr() [4/4]

icu::Char16Ptr::Char16Ptr | ( | std::nullptr_t | p | ) |

inline

nullptr constructor.

Parameters

  p | nullptr

Stable:
  ICU 59

## ~Char16Ptr()

icu::Char16Ptr::~Char16Ptr | ( |  | ) |

inline

Destructor.

Stable:
  ICU 59

## Member Function Documentation

## get()

char16_t* icu::Char16Ptr::get | ( |  | ) | const

inline

Pointer access.

Returns
  the wrapped pointer

Stable:
  ICU 59

## operator char16_t *()

icu::Char16Ptr::operator char16_t * | ( |  | ) | const

inline

char16_t pointer access via type conversion (e.g., static_cast).

Returns
  the wrapped pointer

Stable:
  ICU 59

Definition at line 91 of file char16ptr.h.

The documentation for this class was generated from the following file:

- common/unicode/char16ptr.h